<template>
  <footer class="px-16 w-full mx-auto mt-8">
    <!-- start: footer upper part -->
    <div class="flex items-center justify-between mb-8">
      <!-- start: footer upper left part -->
      <div class="w-1/4">
        <img
          src="~/assets/images/logo.svg"
          class="mb-2"
          alt="KawalCovid19.id"
          title="KawalCovid19.id"
        />
        <div class="mb-4">
          Lorem ipsum dolor sit amet consectetur adipisicing elit.
        </div>

        <!-- start: social icons -->
        <div class="flex items-center">
          <a href="#" class="mr-2">
            <img src="~/assets/icons/instagram.svg" alt="" />
          </a>
          <a href="#" class="mx-2">
            <img src="~/assets/icons/twitter.svg" alt="" />
          </a>
          <a href="#" class="ml-2">
            <img src="~/assets/icons/facebook.svg" alt="" />
          </a>
        </div>
        <!-- end: social icons -->
      </div>
      <!-- end: footer upper left part -->

      <!-- start: footer upper right part -->
      <div class="text-left">
        <div class="font-semibold text-xl mb-4">
          Navigasi
        </div>
        <nav class="flex flex-col">
          <nuxt-link
            v-for="(item, key) in menus"
            :key="key"
            class="my-1"
            :to="item.to"
          >
            {{ item.label }}
          </nuxt-link>
        </nav>
      </div>
      <!-- end: footer upper right part -->
    </div>
    <!-- end: footer upper part -->

    <!-- start: footer bottom part -->
    <div class="text-center text-sm text-ui-100 opacity-50 my-4">
      Copyright &copy; 2020 · kawalcovid19.id
    </div>
    <!-- end: footer bottom part -->
  </footer>
</template>

<script>
export default {
  data: () => ({
    menus: [
      {
        label: 'Beranda',
        to: '/',
      },
      {
        label: 'Organisasi',
        to: '/organizations',
      },
      {
        label: 'Tutorial',
        to: '/tutorials',
      },
      {
        label: 'Produk',
        to: '/products',
      },
    ],
  }),
};
</script>

<style lang="postcss" scoped>

</style>
